Bug 1260080 - (CVE-2015-6855) CVE-2015-6855 Qemu: ide: divide by zero issue
CVE-2015-6855 Qemu: ide: divide by zero issue
Status: CLOSED WONTFIX
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20150909,reported=2...
: Security
Depends On: 1261792 1261793
Blocks: 1254448
  Show dependency treegraph
 
Reported: 2015-09-04 07:45 EDT by Prasad J Pandit
Modified: 2016-04-26 16:32 EDT (History)
19 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
It has been discovered that a QEMU emulator built with IDE disk and CD/DVD-ROM emulation support is vulnerable to a divide-by-zero issue. The flaw could occur when executing IDE's WIN_READ_NATIVE_MAX command to determine the maximum size of a drive. A privileged user inside the guest could use this flaw to crash the QEMU instance, resulting in a denial of service.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-14 01:28:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Prasad J Pandit 2015-09-04 07:45:02 EDT
Qemu emulator built with the IDE disk and CD/DVD-ROM emulation support is
vulnerable to a divide by zero issue. It could occur while executing an IDE
command WIN_READ_NATIVE_MAX to determine the maximum size of a drive.

A privileged user inside guest could use this flaw to crash the Qemu instance
resulting in DoS.

Upstream fix:
-------------
  -> git.qemu.org/?p=qemu.git;a=commit;h=d9033e1d3aa666c5071580617a57bd853c5d794a

Reference:
----------
  -> http://www.openwall.com/lists/oss-security/2015/09/10/1
Comment 1 Prasad J Pandit 2015-09-04 16:08:38 EDT
Statement: 

This issue affects the versions of kvm and xen packages as shipped with Red Hat Enterprise Linux 5.

This issue affects the versions of the qemu-kvm packages as shipped with Red Hat Enterprise Linux 6 and 7.

This issue affects the Red Hat Enterprise Linux 6 based versions of qemu-kvm-rhev packages as shipped with Red Hat Enterprise Virtualization 3.

This issue affect the Red Hat Enterprise Linux 7 based versions of the qemu-kvm-rhev packages as shipped with Red Hat Enterprise Virtualization 3.
Comment 2 Prasad J Pandit 2015-09-04 16:09:13 EDT
This has been rated as having Low security impact and is not currently
planned to be addressed in future updates. For additional information, refer
to the Red Hat Enterprise Linux Life Cycle:
https://access.redhat.com/support/policy/updates/errata/.
Comment 3 Prasad J Pandit 2015-09-04 16:10:09 EDT
Acknowledgements:

This issue was discovered by Qinghao Tang of QIHU 360 Inc.
Comment 4 Prasad J Pandit 2015-09-10 03:37:34 EDT
Created xen tracking bugs for this issue:

Affects: fedora-all [bug 1261792]
Comment 5 Prasad J Pandit 2015-09-10 03:37:38 EDT
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 1261793]
Comment 7 Fedora Update System 2015-09-24 01:09:02 EDT
qemu-2.4.0-4.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2015-10-04 15:14:30 EDT
xen-4.5.1-10.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2015-10-09 06:29:11 EDT
qemu-2.3.1-5.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2015-10-09 07:20:54 EDT
qemu-2.1.3-11.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2015-10-14 02:56:06 EDT
xen-4.5.1-10.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2015-10-14 03:48:44 EDT
xen-4.4.3-5.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.